Subject: Re: bug#5067: 23.1.50; Why doesn't eshell/pcomplete use ~ any more?

From: Stefan Monnier <[email-masked]>
Date: Sat, 28 Nov 2009 12:09:35 -0500

> For example, if I 'cd ~', the prompt will be the absolute path of my
> HOME dir instead of just '~' like in the previous version.

I installed a change which should fix it (unless you've customized
eshell-prompt-function, in which case you'll have to make the change in
your cutomization).

> With (setq eshell-cmpl-ignore-case t), 'cd ~/l<TAB>' throws this error:

>   pcomplete-insert-entry: Text is read-only
>   pcomplete: Wrong type argument: integerp, nil [8 times]

> Could someone take a look at this bug? Thank you.

Thanks for catching this.  It was some half-cooked change I have here
that I installed mistakenly as part of some other change.  I reverted it
now, so it should work as before.

        Stefan